<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Sodexis
     License OPL-1 (See LICENSE file for full copyright and licensing details). -->

<odoo>
    <record id="view_account_journal_form_inherit" model="ir.ui.view">
        <field name="name">account.journal.form</field>
        <field name="model">account.journal</field>
        <field name="inherit_id" ref="account.view_account_journal_form"/>
        <field name="arch" type="xml">
            <field name="inbound_payment_method_ids" position="after">
                <field name="payment_acquirer_id" domain="[('website_published','=',True)]"
                    attrs="{'invisible': [('is_electronic_payment_method','=',False)], 'required': [('is_electronic_payment_method','!=',False)]}"/>
                <field name="is_electronic_payment_method" invisible="1" />
            </field>
        </field>
    </record>
</odoo>
